      SUBROUTINE UPGRADELOCKPROMPT(iwant,istatus)

C    UPGRADELOCKPROMPT PROMPTS USER TO UPGRADE LOCK STATUS

      character*1 yesno
      character*9 clock

      if ( iwant .eq. 2 ) then
       clock='EXCL-LOCK'
      else
       clock='READ-ONLY'
      endif
      write(6,*) 'Running this program requires lock status: ',
     * clock
      write(6,*) 'Should I secure this status? (y/n)'
      read(5,'(a1)') yesno

      if ( yesno .eq. 'Y' .or. yesno .eq. 'Y' ) then
       istatus=iwant
      endif

      return
      end
